package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 订单管理
type Address struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId     primitive.ObjectID `bson:"userId,omitempty" json:"userId"`
	Province   string             `bson:"province,omitempty" json:"province"` // 省
	City       string             `bson:"city,omitempty" json:"city"`         // 市
	Area       string             `bson:"area,omitempty" json:"area"`         // 区域
	Addr       string             `bson:"addr,omitempty" json:"addr"`         // 详细地址
	Contact    string             `bson:"contact,omitempty" json:"contact"`   // 联系人
	Phone      string             `bson:"phone,omitempty" json:"phone"`       // 联系人电话
	Defualt    int                `bson:"defualt,omitempty" json:"defualt"`   // 是否默认 -1:否 1:是
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}
