package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// user简单信息
type UserSmaple struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Avatar     string             `bson:"avatar,omitempty" json:"avatar"`
	Email      string             `bson:"email,omitempty" json:"email"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}
